Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## igeo.io
Enum I3DXML.LineAttributesType.LineTypeType

    java.lang.Object
      java.lang.Enum<I3DXML.LineAttributesType.LineTypeType>
          igeo.io.I3DXML.LineAttributesType.LineTypeType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<I3DXML.LineAttributesType.LineTypeType>

Enclosing class:
  I3DXML.LineAttributesType

    public static enum I3DXML.LineAttributesType.LineTypeType

extends java.lang.Enum<I3DXML.LineAttributesType.LineTypeType>

Enum Constant Summary
`DASHED`
`DOT_DASHED`
`DOTTED`
`JIS_AXIS`
`PHANTOM`
`SMALL_DOTTED`
`SOLID`

Method Summary
`static I3DXML.LineAttributesType.LineTypeType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static I3DXML.LineAttributesType.LineTypeType[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### SOLID

    public static final I3DXML.LineAttributesType.LineTypeType SOLID

### DOTTED

    public static final I3DXML.LineAttributesType.LineTypeType DOTTED

### DASHED

    public static final I3DXML.LineAttributesType.LineTypeType DASHED

### DOT_DASHED

    public static final I3DXML.LineAttributesType.LineTypeType DOT_DASHED

### PHANTOM

    public static final I3DXML.LineAttributesType.LineTypeType PHANTOM

### SMALL_DOTTED

    public static final I3DXML.LineAttributesType.LineTypeType SMALL_DOTTED

### JIS_AXIS

    public static final I3DXML.LineAttributesType.LineTypeType JIS_AXIS

Method Detail

### values

    public static final I3DXML.LineAttributesType.LineTypeType[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(I3DXML.LineAttributesType.LineTypeType c : I3DXML.LineAttributesType.LineTypeType.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static I3DXML.LineAttributesType.LineTypeType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD